<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Beta Ray Bill (2021)</Series>
  <Number>2</Number>
  <Web>https://www.comixology.com/Beta-Ray-Bill-2021-2-of-5/digital-comic/915533</Web>
  <Summary>VALHALLA IS CALLING, BETA RAY BILL! Bill goes hunting for Odin, still desperate to resurrect his lost hammer Stormbreaker – but the former King of Asgard is far from his glory days. Stormbreaker is never coming back…but there is one place where Beta Ray Bill could restore his full powers. The All-Father of nothing offers the Korbinite a path to immortality – at a price not even a god can afford. Daniel Warren Johnson and Mike Spicer’s off-the-rails tale of cosmic vengeance and barroom breakdowns continues here!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB915533], [ASINB08TGB21V3], [RELDATE:2021-04-28]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>25</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
